## org.apache.lucene.queryParser.core
Class QueryNodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.lucene.queryParser.core.QueryNodeException

All Implemented Interfaces:
  java.io.Serializable, NLSException

Direct Known Subclasses:
  QueryNodeParseException

    public class QueryNodeException

extends java.lang.Exception
implements NLSException

This exception should be thrown if something wrong happens when dealing with `QueryNode`s.

It also supports NLS messages.

See Also:
  `Message`, `NLS`, `NLSException`, `QueryNode`, Serialized Form

Field Summary
`protected Message` `message`

Constructor Summary
`QueryNodeException(Message message)`
`QueryNodeException(Message message, java.lang.Throwable throwable)`
`QueryNodeException(java.lang.Throwable throwable)`

Method Summary
`java.lang.String` `getLocalizedMessage()`
`java.lang.String` `getLocalizedMessage(java.util.Locale locale)`
`java.lang.String` `getMessage()`
`Message` `getMessageObject()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected Message message

Constructor Detail

### QueryNodeException

    public QueryNodeException(Message message)

### QueryNodeException

    public QueryNodeException(java.lang.Throwable throwable)

### QueryNodeException

    public QueryNodeException(Message message,
                              java.lang.Throwable throwable)

Method Detail

### getMessageObject

    public Message getMessageObject()

  Specified by:
    `getMessageObject` in interface `NLSException`
  Returns:
    a instance of a class that implements the Message interface

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage(java.util.Locale locale)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.